Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jdmk.comm
Class HttpsConnectorClient

    java.lang.Object
      |
      +--com.sun.jdmk.comm.GenericHttpConnectorClient
            |
            +--com.sun.jdmk.comm.HttpsConnectorClient

public class HttpsConnectorClient
extends GenericHttpConnectorClient

This class provides an implementation of the `RemoteMBeanServer` interface based on the HTTP/SSL protocol.

Querying a Java Dynamic Management agent with this connector implies that an instance of `HttpsConnectorServer` is running on the remote Java Dynamic Management agent.

Note - Use the `connect` method to identify the Java Dynamic Management agent with which the connector must communicate.

It is possible to request the use of a specific proxy through the java properties `https.proxyHost=`host and `https.proxyPort=`port.

The authentication information required to configure the connector is provided by the ConnectorAddress parameter in the method `connect`.

By default, port 8084 is used to communicate with HTTP/SSL connector.

See Also:
  `RemoteMBeanServer`, `HttpsConnectorServer`, Serialized Form

Constructor Summary
`HttpsConnectorClient()` Constructs an `HttpsConnectorClient`.
`HttpsConnectorClient(java.net.InetAddress add)` Constructs an `HttpsConnectorClient`.

Methods inherited from class com.sun.jdmk.comm.GenericHttpConnectorClient
`addHeartBeatNotificationListener, addNotificationListener, addProxy, clearCache, connect, createMBean, createMBean, createMBean, createMBean, disconnect, disconnect, getAttribute, getAttributes, getCacheSize, getClassForProxyMBean, getClassLoader, getDefaultDomain, getGenericProxies, getGenericProxy, getHeartBeatPeriod, getHeartBeatRetries, getHost, getMapper, getMBeanCount, getMBeanInfo, getMBeanServerAddress, getMBeanServerId, getMode, getNotifications, getObjectInstance, getOperationContext, getOverflowCount, getOverflowMode, getPeriod, getProxyMBean, getProxyMBeans, invoke, isConnected, isInstanceOf, isRegistered, queryMBeans, queryNames, removeHeartBeatNotificationListener, removeNotificationListener, removeProxy, setAttribute, setAttributes, setCacheSize, setClassLoader, setHeartBeatPeriod, setHeartBeatRetries, setMapper, setMode, setOperationContext, setOverflowCount, setOverflowMode, setPeriod, supports, unregisterMBean`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpsConnectorClient

    public HttpsConnectorClient()

  Constructs an `HttpsConnectorClient`.

  Initializes this connector client with the default port (8084).

### HttpsConnectorClient

    public HttpsConnectorClient(java.net.InetAddress add)

  Constructs an `HttpsConnectorClient`.

  Initializes this connector client with the default port (8084).

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD